API DocumentationManufacturer work order controller

Update a work order's start and due dates

PATCH
/api/manufacturer/v1/work-orders/{id}/dates

Sets the start date (when the work order enters the backlog) and the due date (explicit deadline; null falls back to the order's expected dispatch date).

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/manufacturer/v1/work-orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/dates" \  -H "Content-Type: application/json" \  -d '{    "startDate": "2019-08-24T14:15:22Z"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workOrderNumber": 0,  "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",  "name": "string",  "quantity": 0,  "routing": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0,      "statusId": "e900225c-0629-4e96-be6e-86a17a309645"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "startDate": "2019-08-24T14:15:22Z",  "dueDate": "2019-08-24T14:15:22Z"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}